WordPress at a glance
function is not described

Automattic\WooCommerce\Admin\Composer

Package::check_outdated_wca_plugin() public WC 1.0

Checks if embedded WCA version is newer than standalone WCA and adds/removes DeactivatePlugin note as necessary.

{} It's a method of the class: Package{}

No Hooks.

Return

null. Nothing.

Usage

$result = Package::check_outdated_wca_plugin();

Code of Package::check_outdated_wca_plugin() WC 5.3.0

<?php
public static function check_outdated_wca_plugin() {

	if ( ! self::is_notes_initialized() ) {
		return;
	}

	$update_version = new DeactivatePlugin();

	if ( version_compare( WC_ADMIN_VERSION_NUMBER, self::VERSION, '<' ) ) {
		if ( method_exists( $update_version, 'possibly_add_note' ) ) {
			$update_version::possibly_add_note();
		}
	} else {
		$update_version::delete_note();
	}
}